<?
if (!is_numeric($id)) {
  echo '
    <h2>Parametry resetu</h2>
    <p>Nebyl zadanán prvek</p>';
  exit;
}  

if (!$akce) {
  $vysledek= pg_query("SELECT name FROM node WHERE id=$id");
  $zaznam=Pg_Fetch_Array($vysledek);
  echo '
  <h2>Parametry resetu prvku '.$zaznam[name].'</h2>
  <table border="0" cellspacing="1" bgcolor="#000000" class="tabulka">
    <tr bgcolor="#FFFFAA">
      <strong>
        <td><strong>#</strong></td>
        <td><a href="./index.php?pg=nodes_admin.inc&id='.$id.'&order=type"><strong>Typ resetu</strong></a></td>
        <td><a href="./index.php?pg=nodes_admin.inc&id='.$id.'&order=address"><strong>Adresa</strong></a></td>
        <td><a href="./index.php?pg=nodes_admin.inc&id='.$id.'&order=repeater"><strong>Repeater</strong></a></td>
        <td><a href="./index.php?pg=nodes_admin.inc&id='.$id.'&order=out"><strong>Výstup</strong></a></td>
        <td><a href="./index.php?pg=nodes_admin.inc&id='.$id.'&order=time"><strong>Čas [s]</strong></a></td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
    </tr>';
  if (!$order) $order='type';
  $radek=1;
  $vysledek= pg_query("SELECT * FROM node_reset WHERE id=$id ORDER BY $order");
  while ($zaznam=Pg_Fetch_Array($vysledek)) {
  echo '
    <tr bgcolor="'.MakeBgcolor($radek).'" valign="top">
        <td>'.$radek++.'</td>
        <td>'.$zaznam[type].'</td>
        <td>'.$zaznam[address].'</td>
        <td>'.$zaznam[repeater].'</td>
        <td>'.$zaznam[out].'</td>
        <td>'.($zaznam[time]*10).' sec</td>
        <td><a href="./index.php?pg=nodes_reset.inc&akce=edit&id='.$id.'&idreset='.$zaznam[idreset].'">upravit</a></td>
        <td><a href="./index.php?pg=nodes_reset.inc&akce=delete&id='.$id.'&idreset='.$zaznam[idreset].'">smazat</a></td>
    </tr>';
 }
 echo ' 
 </table>
 <p><a href="./index.php?pg=nodes_reset.inc&akce=edit&id='.$id.'">Vložit nový parametr</a></p>
 ';
}


 // editace existujiciho nebo noveho zaznamu 
if($akce=='edit') {
   // budeme editovat existujici zaznam?
  if(is_numeric($idreset)) {
      $vysledek= pg_query("SELECT * FROM node_reset WHERE idreset=$idreset");
      $zaznam=Pg_Fetch_Array($vysledek);
      $navakce='update';
  } else $navakce='insert';
echo '
<h2>Editace parametrů resetu</h2>
<form action="./index.php?pg=nodes_reset.inc&akce='.$navakce.'&id='.$id.'" method="post">
  <input type="hidden" name="idreset" value="'.$zaznam[idreset].'"></p>
  <p>Typ použití jednotky RadioReset<br>
  <select name="type" size="1" class="formnotnull">'.MakeResetType($zaznam[type]).'</select></p>
  <p>Adresa vzdálené RadioReset jednotky. 3 čísla nebo nic.<br>
  <input type="text" size="20" name="address" class="formnotnull" value="'.$zaznam[address].'"></p>
  <p>Adresa opakovače RadioReset jednotky. 3 čísla nebo nic.<br>
  <input type="text" size="20" name="repeater" class="formnotnull" value="'.$zaznam[repeater].'"></p>
  <p>Výstup jednotky RadioReset, kde je prvek připojen.<br>
  <select name="out" size="1" class="formnotnull">'.MakeResetOut($zaznam[out]).'</select></p>
  <p>Čas odpojení prvku od zdroje.<br>
  <select name="time" size="1" class="formnotnull">'.MakeResetTime($zaznam[time]).'</select></p>
  <p><input type="submit" value="Vložit" class="tlacitko"></p>
</form>';
}


 // ulozeni
if($akce=='update') {
   pg_query("UPDATE node_reset 
            SET type='$type',
	        address='$address',
		repeater='$repeater',
		time=$time,
		out=$out
	    WHERE idreset=$idreset") or $err=true;
 echo '<h2>Aplikace změn</h2>';
 if ($err) echo '<p>Nastala chyba... Je nutné zkontrolovat zadávaná data</p>';
 else echo '<p>Změna byla provedena... <a href="./index.php?pg=nodes_reset.inc&id='.$id.'">pokračovat zde</a></p>';
}


 // vlozeni
if($akce=='insert') {
  pg_query("INSERT INTO node_reset(id, type, address, repeater, time, out) 
            VALUES($id, '$type', '$address', '$repeater', $time, $out)") or $err=true;
 echo '<h2>Vložení nových parametrů resetu</h2>';
 if ($err) echo '<p>Nastala chyba... Je nutné zkontrolovat zadávaná data</p>';
 else echo '<p>Vložení bylo provedeno... <a href="./index.php?pg=nodes_reset.inc&id='.$id.'">pokračovat zde</a></p>';
}


 // smazani
if($akce=='delete') {
 @pg_query("DELETE FROM node_reset WHERE idreset=$idreset") or $err=true;
 echo '<h2>Vymazání parametrů resetu</h2>';
 if ($err) echo '<p>Nastala chyba...  </p>';
 else echo '<p>Parametry resetu byly smazány...  <a href="./index.php?pg=nodes_reset.inc&id='.$id.'">pokračovat zde</a></p>';
}


?>


